Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1382681 (qt5-qtscxml) - Review Request: qt5-qtscxml - provides functionality to create state machines from SCXML files
Summary: Review Request: qt5-qtscxml - provides functionality to create state machines...
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtscxml
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-10-07 11:50 UTC by Helio Chissini de Castro
Modified: 2017-02-07 00:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 10:02:17 UTC
rdieter: fedora-review+


Attachments (Terms of Use)
licensecheck.txt (deleted)
2016-10-09 16:50 UTC, Raphael Groner
no flags Details

Description Helio Chissini de Castro 2016-10-07 11:50:39 UTC
Spec URL: https://heliocastro.fedorapeople.org/qt5_scxml/qt5-qtscxml.spec
SRPM URL: https://heliocastro.fedorapeople.org/qt5_scxml/qt5-qtscxml-5.7.0-1.fc24.src.rpm
Description: Provides functionality to create state machines from SCXML files
Fedora Account System Username: heliocastro

Comment 1 Raphael Groner 2016-10-08 16:50:58 UTC
Taken.

Comment 2 Raphael Groner 2016-10-09 14:05:28 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=16015491

Comment 3 Raphael Groner 2016-10-09 15:11:05 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: qt5-qtscxml-examples : /usr/lib64/qt5/examples/scxml/calculator-
  widgets/mainwindow.h qt5-qtscxml-examples : /usr/lib64/qt5/examples/scxml
  /mediaplayer-qml-cppdatamodel/thedatamodel.h qt5-qtscxml-examples :
  /usr/lib64/qt5/examples/scxml/pinball/mainwindow.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
=> I think %{_libdir}/qt5 is the wrong location to install examples
   with sources. Maybe move sources (incl. headers) of examples into devel?

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
=> LGTM, common practice for qml extensions.

[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Apache (v2.0)", "Unknown or generated", "*No
     copyright* Apache (v2.0)". 741 files have unknown license. Detailed
     output of licensecheck in /home/builder/fedora-
     review/1382681-qt5-qtscxml/licensecheck.txt
=> No hit with suffixes .h or .cpp for execution of following commands:
   URL=https://www.qt.io/licensing
   grep -R -L $URL BUILD/qtscxml-opensource-src-5.7.0/src
=> Tests can be ignored. Please note BSD for some examples.

[x]: License file installed when any subpackage combination is installed.
[?]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
=> See licensecheck.

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/qt5,
     /usr/lib64/qt5/bin
=> /usr/share/doc/qt5 → qt5-qtbase, /usr/lib64/qt5/bin → qt5-qtbase-devel
=> Add %dir %{_qt5_docdir} to doc subpackage (as workaround due to noarch).
   Move %{_qt5_bindir}/qscxmlc into devel subpackage (depends on
   qt5-qtbase-devel).

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/qt5/examples(qt5
     -qtdeclarative-examples, qt5-qtvirtualkeyboard-examples, qt5
     -qtsensors-examples, qt5-qt3d-examples, qt5-qtsvg-examples, qt5
     -qtmultimedia-examples, qt5-qtbase-examples, qt5-qttools-examples, qt5
     -qtwebchannel-examples, qt5-qtserialbus-examples, qt5-qtxmlpatterns-
     examples, qt5-qtquickcontrols-examples, qt5-qtserialport-examples, qt5
     -qtwebsockets-examples, qt5-qtscript-examples, qt5-qtwebengine-
     examples, qt5-qtenginio-examples, qt5-qtconnectivity-examples, qt5
     -qtlocation-examples)
=> Looks as common practice.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package
=> See above about examples.

[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qt5
     -qtscxml-doc , qt5-qtscxml-debuginfo
=> Both packages are optional.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
=> There are some test files. Can we execute them?

[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define docs 1
=> Please fix. Also for (commented) prerelease.

[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qt5-qtscxml-5.7.0-1.fc26.x86_64.rpm
          qt5-qtscxml-devel-5.7.0-1.fc26.x86_64.rpm
          qt5-qtscxml-doc-5.7.0-1.fc26.noarch.rpm
          qt5-qtscxml-examples-5.7.0-1.fc26.x86_64.rpm
          qt5-qtscxml-debuginfo-5.7.0-1.fc26.x86_64.rpm
          qt5-qtscxml-5.7.0-1.fc26.src.rpm
qt5-qtscxml.x86_64: W: summary-ended-with-dot C Provides functionality to create state machines from SCXML files.
qt5-qtscxml.x86_64: W: spelling-error %description -l en_US pinouts -> pin outs, pin-outs, outpoints
qt5-qtscxml.x86_64: W: no-documentation
qt5-qtscxml-devel.x86_64: W: only-non-binary-in-usr-lib
qt5-qtscxml-devel.x86_64: W: no-documentation
qt5-qtscxml-examples.x86_64: W: no-documentation
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-cppdatamodel/mediaplayer-qml-cppdatamodel.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/trafficlight-qml-static/trafficlight-qml-static.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-widgets-dynamic/mediaplayer-widgets-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/calculator-widgets/calculator-widgets.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-cppdatamodel/thedatamodel.h
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/calculator-widgets/mainwindow.h
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/calculator-qml/calculator-qml.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-static/mediaplayer-qml-static.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/pinball/mainwindow.h
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-dynamic/mediaplayer-qml-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-widgets-static/mediaplayer-widgets-static.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/trafficlight-qml-dynamic/trafficlight-qml-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/trafficlight-widgets-dynamic/trafficlight-widgets-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/pinball/mainwindow.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/pinball/main.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/invoke-static/invoke-static.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-cppdatamodel/thedatamodel.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/invoke-dynamic/invoke-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/calculator-widgets/mainwindow.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/trafficlight-widgets-static/trafficlight-widgets-static.cpp
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/scxml/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/scxml/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/imports/scxmlstatemachine/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/imports/scxmlstatemachine/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-qml/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-qml/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.moc
qt5-qtscxml.src: W: summary-ended-with-dot C Provides functionality to create state machines from SCXML files.
qt5-qtscxml.src: W: spelling-error %description -l en_US pinouts -> pin outs, pin-outs, outpoints
6 packages and 0 specfiles checked; 0 errors, 76 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qt5-qtscxml-debuginfo-5.7.0-1.fc26.x86_64.rpm
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-qml/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-qml/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/imports/scxmlstatemachine/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/imports/scxmlstatemachine/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/scxml/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/scxml/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.rcc
1 packages and 0 specfiles checked; 0 errors, 48 warnings.





Rpmlint (installed packages)
----------------------------
qt5-qtscxml.x86_64: W: summary-ended-with-dot C Provides functionality to create state machines from SCXML files.
qt5-qtscxml.x86_64: W: spelling-error %description -l en_US pinouts -> pin outs, pin-outs, outpoints
qt5-qtscxml.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Scxml.so.5.7.0 /lib64/libQt5Network.so.5
qt5-qtscxml.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Scxml.so.5.7.0 /lib64/libpthread.so.0
qt5-qtscxml.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Scxml.so.5.7.0 /lib64/libm.so.6
qt5-qtscxml.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libQt5Scxml.so.5.7.0 /lib64/libgcc_s.so.1
qt5-qtscxml.x86_64: W: no-documentation
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/imports/scxmlstatemachine/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/imports/scxmlstatemachine/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/scxml/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/src/scxml/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/pinball/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/invoke-static/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-widgets-dynamic/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/trafficlight-qml-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-qml/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-qml/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/calculator-widgets/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-qml-cppdatamodel/.moc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-static/.uic
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.rcc
qt5-qtscxml-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscxml-opensource-src-5.7.0/x86_64-redhat-linux-gnu/examples/scxml/mediaplayer-widgets-dynamic/.rcc
qt5-qtscxml-examples.x86_64: W: no-documentation
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/pinball/mainwindow.h
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/invoke-dynamic/invoke-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/trafficlight-qml-static/trafficlight-qml-static.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/pinball/mainwindow.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/trafficlight-widgets-static/trafficlight-widgets-static.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-widgets-static/mediaplayer-widgets-static.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/trafficlight-widgets-dynamic/trafficlight-widgets-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-cppdatamodel/mediaplayer-qml-cppdatamodel.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/calculator-widgets/mainwindow.h
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-cppdatamodel/thedatamodel.h
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-static/mediaplayer-qml-static.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-dynamic/mediaplayer-qml-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/calculator-widgets/mainwindow.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/pinball/main.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-widgets-dynamic/mediaplayer-widgets-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/calculator-widgets/calculator-widgets.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/invoke-static/invoke-static.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/calculator-qml/calculator-qml.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/trafficlight-qml-dynamic/trafficlight-qml-dynamic.cpp
qt5-qtscxml-examples.x86_64: W: devel-file-in-non-devel-package /usr/lib64/qt5/examples/scxml/mediaplayer-qml-cppdatamodel/thedatamodel.cpp
qt5-qtscxml-devel.x86_64: W: only-non-binary-in-usr-lib
qt5-qtscxml-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 78 warnings.



Requires
--------
qt5-qtscxml (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Core.so.5(Qt_5_PRIVATE_API)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Qml.so.5(Qt_5_PRIVATE_API)(64bit)
    libQt5Scxml.so.5()(64bit)
    libQt5Scxml.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    qt5-qtbase(x86-64)
    rtld(GNU_HASH)

qt5-qtscxml-doc (rpmlib, GLIBC filtered):
    qt5-qtscxml

qt5-qtscxml-debuginfo (rpmlib, GLIBC filtered):

qt5-qtscxml-examples (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Scxml.so.5()(64bit)
    libQt5Scxml.so.5(Qt_5)(64bit)
    libQt5Scxml.so.5(Qt_5_PRIVATE_API)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    qt5-qtscxml(x86-64)
    rtld(GNU_HASH)

qt5-qtscxml-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libQt5Scxml.so.5()(64bit)
    pkgconfig(Qt5Core)
    pkgconfig(Qt5Qml)
    qt5-qtbase-devel(x86-64)
    qt5-qtdeclarative-devel(x86-64)
    qt5-qtscxml(x86-64)



Provides
--------
qt5-qtscxml:
    libQt5Scxml.so.5()(64bit)
    libQt5Scxml.so.5(Qt_5)(64bit)
    libQt5Scxml.so.5(Qt_5.0)(64bit)
    libQt5Scxml.so.5(Qt_5.1)(64bit)
    libQt5Scxml.so.5(Qt_5.2)(64bit)
    libQt5Scxml.so.5(Qt_5.3)(64bit)
    libQt5Scxml.so.5(Qt_5.4)(64bit)
    libQt5Scxml.so.5(Qt_5.5)(64bit)
    libQt5Scxml.so.5(Qt_5.6)(64bit)
    libQt5Scxml.so.5(Qt_5.7)(64bit)
    libQt5Scxml.so.5(Qt_5_PRIVATE_API)(64bit)
    libdeclarative_scxml.so()(64bit)
    qt5-qtscxml
    qt5-qtscxml(x86-64)

qt5-qtscxml-doc:
    qt5-qtscxml-doc

qt5-qtscxml-debuginfo:
    qt5-qtscxml-debuginfo
    qt5-qtscxml-debuginfo(x86-64)

qt5-qtscxml-examples:
    qt5-qtscxml-examples
    qt5-qtscxml-examples(x86-64)

qt5-qtscxml-devel:
    cmake(Qt5Scxml)
    pkgconfig(Qt5Scxml)
    qt5-qtscxml-devel
    qt5-qtscxml-devel(x86-64)



Unversioned so-files
--------------------
qt5-qtscxml: /usr/lib64/qt5/qml/QtScxml/libdeclarative_scxml.so

Source checksums
----------------
http://download.qt.io/official_releases/qt/5.7/5.7.0/submodules/qtscxml-opensource-src-5.7.0.tar.xz :
  CHECKSUM(SHA256) this package     : 370b13d76c9a2ddf05336e797edf7f54d41db6063e3b921e0825dd6dd26c51f1
  CHECKSUM(SHA256) upstream package : 370b13d76c9a2ddf05336e797edf7f54d41db6063e3b921e0825dd6dd26c51f1


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1382681
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Raphael Groner 2016-10-09 16:50:37 UTC
Created attachment 1208608 [details]
licensecheck.txt

Comment 5 Raphael Groner 2016-10-09 17:12:31 UTC
You can use a build conditional for doc:
   %bcond_without docs
   ...
   %if %{with docs}
   %package doc
   ...
   %endif
   ...
   %build
   %if %{with docs}
   ...
   make %{?_smp_mflags} docs
   %endif
   ...
   %if %{with docs}
   %files doc
   ...
   %endif

Comment 6 Raphael Groner 2016-11-05 22:59:55 UTC
No reply from requester yet. :( I'll step back.

Comment 8 Rex Dieter 2016-11-23 14:29:13 UTC
naming: ok

license: ok

sources: ok (for now, 5.7.1 tarballs not officially released yet)

macros: ok

scriptlets: ok

follows style/conventions of other qt5- packages

Same comments as some other qt5- related reviews,

1.  MUST reivew (and remove if needed) hard qt5 versioned dep,
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

2.  SHOULD remove
BuildRequires: cmake
it's not needed anymore, the appropriate cmake is pulled in by qt5-rpm-macros


APPROVED

Comment 9 Rex Dieter 2017-01-24 16:24:09 UTC
confirmed imported

Comment 10 Fedora Update System 2017-01-28 18:41:24 UTC
qt5-qtscxml-5.7.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9d6fb0d881

Comment 11 Fedora Update System 2017-01-29 02:23:06 UTC
qt5-qtscxml-5.7.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9d6fb0d881

Comment 12 Fedora Update System 2017-02-07 00:24:11 UTC
qt5-qtscxml-5.7.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.